{% from 'macros.jinja2' import oxford_commas, evidence_for, probability,
                            naturalinstruments, naturalfar,
                            naturalclassifications, naturalotherpipelines,
                            renamegroup, citeskymap %}

{% filter rewrap %}
We identified the {{renamegroup(group)}} candidate {{gracedb_id}} during real-time processing of data from
{{naturalinstruments(instruments)}} at {{utctime}} UTC (GPS time: {{gpstime}}).
The candidate was found by the {{naturalotherpipelines(pipeline, other_pipelines)}}
analysis pipeline{% if ([pipeline] + other_pipelines)|length > 1 %}s{% endif %}.

{% if change_significance_statement %}
This gravitational wave candidate is not significant enough on its own to produce a public alert
but its coincidence with the {% if SNEWS %}SNEWS neutrino{% endif %}{% if GRB %}GRB{% endif %} trigger increases its significance.
{% else %}
{{gracedb_id}} is an event of interest because its false alarm rate, as
estimated by the online analysis, is {{naturalfar(far)}}.
{% endif %}
The event's properties can be found at this URL:

{{ gracedb_service_url }}{{ gracedb_id }}

{% if not GRB %}{%- include 'classification_info.jinja2' -%}{% endif %}

{% if skymaps|length == 0 %}
No{% else %}{{ skymaps|length|apnumber|capitalize }}{% endif %} {% if combined_skymap is not defined %}sky map{% else %}GW-only sky map{% endif %}{% if skymaps|length == 1 %} is{% else %}s are{% endif %} available at this time{% if skymaps|length > 0 %} and can be retrieved from the GraceDB event page:{% else %}.{% endif %}

{% for skymap in skymaps %}
 * {{skymap.filename}}, an {% if skymap.alert_type == 'initial' %}initial{% else %}updated{% endif %} localization generated by {{citeskymap(skymap.pipeline, all_pipelines, skymaps)}}, distributed via GCN notice about {{skymap.latency|naturaldelta}} after the candidate
{% endfor %}

{% if skymaps|length != 0 %}
{% if skymaps|length != 1 %}The preferred sky map at this time is {{preferred_skymap}}. {% endif %}
For the {{preferred_skymap}} sky map, the {{cl}}% credible region is
{% if not include_ellipse %}
{{greedy_area|round|int}} deg2.
{% else %}
well fit by an ellipse with an area of {{ellipse_area|round|int}} deg2 described
by the following DS9 region (right ascension, declination, semi-major axis,
semi-minor axis, position angle of the semi-minor axis):
   icrs; ellipse(
      {{- ra.to('15 arcsec').round().to_string(unit='hourangle', pad=True,
                                               alwayssign=False) }},
      {{- ' ' }}{{ dec.to('arcsec').round().to_string(unit='deg', pad=True,
                                                      alwayssign=True) }},
      {{- ' ' }}{{ a.round().to_string(fields=1, unit='deg') }},
      {{- ' ' }}{{ b.round().to_string(fields=1, unit='deg') }},
      {{- ' ' }}{{ pa.round().to_string(fields=1, unit='deg') }})
{% endif %}
{% if distmu %}
Marginalized over the whole sky, the a posteriori luminosity distance estimate is {{distmu|round|int}} +/- {{distsig|round|int}} Mpc (a posteriori mean +/- standard deviation).
{% endif %}
{% endif %}
{% endfilter %}
